Download it now!
Bug 132185 - [DOCX: import] page numbers in footer no longer roman numerals
Summary: [DOCX: import] page numbers in footer no longer roman numerals
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.3.7 target:6.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-04-17 11:33 UTC by Justin L
Modified: 2020-04-21 15:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Two-tablesRT.docx: LO saved from odt which had arabic page numbering until 6.0 (9.54 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-17 11:33 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2020-04-17 11:33:27 UTC
Created attachment 159655 [details]
Two-tablesRT.docx: LO saved from odt which had arabic page numbering until 6.0

Starting in LO 6.0, the page numbers in the footer changed to 1,2,3 instead of i, ii, iii.

This started with commit 7c1a51516aaf2767e43b393259a1ad21570df5fb
Author: Mike Kaganski on Date: Fri Jul 7 11:33:34 2017 +0300
    tdf#108995: take xml:space attribute into account

The original Two-tables.odt file can be found in attachment 84849 [details] from bug 68710.
Comment 1 Justin L 2020-04-17 11:34:45 UTC
To reproduce: just open the file and look at the page footer. It should be using Roman numerals i, ii, iii.
Comment 2 Dieter 2020-04-19 06:06:57 UTC
I confirm it 

Version: 7.0.0.0.alpha0+ (x64)
Build-ID: 1c9ced04189c9d23ffea05d5570960b54b05ef28
CPU-Threads: 4; BS: Windows 10.0 Build 18363; UI-Render: Skia/Raster; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: CL

Roman page numbers in LO 5.4.7.2

cc: Mike Kaganski
Comment 3 Commit Notification 2020-04-19 18:40:08 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8c8b3a4f83f67882b284ddc3b3fe10d3fe6dedf4

tdf#132185: field command does not necessarily end with space

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-04-20 08:45:31 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/8b56945587833f813f64bf69c5ebf497e79166ce

tdf#132185: field command does not necessarily end with space

It will be available in 6.3.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-04-20 09:40:32 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/cef38a8363efbd973f566f7595f0b6cfc41fdc2b

tdf#132185: field command does not necessarily end with space

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-04-21 15:47:50 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 850b8de31c5be5127eac16a4f5cc18c26a582e53
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-04-21 15:52:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-6":

https://git.libreoffice.org/core/commit/bd3dff49c12184e750497b066379d924815f6a01

tdf#132185: field command does not necessarily end with space

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.